#!/bin/bash

echo " " 
echo " " 
echo " " 
echo " " 
echo " " 
echo "------------------------javac version-----------"
echo " " 
/home/bvn-vav/Java/jdk-17.0.1+12/bin/javac -version 
echo " "
echo "-----------------------------------------------" 
echo "------------------------compiling program-----------" 
echo " " 
/home/bvn-vav/Java/jdk-17.0.1+12/bin/javac -encoding utf8 --module-path /home/bvn-vav/Java/javafx-sdk-17.0.1 --add-modules javafx.base,javafx.controls,javafx.fxml,javafx.graphics,javafx.media,javafx.swing,javafx.web HelloWorldApplicationFX.java
echo " " 
echo "-----------------------------------------------"
echo " "
echo "------------------------java version-----------" 
echo " " 
/home/bvn-vav/Java/jdk-17.0.1+12/bin/java -version 
echo " " 
echo "-----------------------------------------------" 
echo " " 
echo "------------------------run java program--------------"
echo " " 
/home/bvn-vav/Java/jdk-17.0.1+12/bin/java --module-path /home/bvn-vav/Java/javafx-sdk-17.0.1 --add-modules javafx.base,javafx.controls,javafx.fxml,javafx.graphics,javafx.media,javafx.swing,javafx.web HelloWorldApplicationFX
echo " " 
echo "------------------------end java program--------------"
echo " " 
